aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/config/firewall3/files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2013-02-17 19:26:52 +0000
committerJo-Philipp Wich <jow@openwrt.org>2013-02-17 19:26:52 +0000
commit02b0c62f3379004cfbb6436b956c6ca75ee1d8f7 (patch)
tree9375b601de7b8571dc4ed1759e49f4177d1f76fd /package/network/config/firewall3/files
parent451dd745bdb7cec29a0363d4af558eda7edfef55 (diff)
downloadupstream-02b0c62f3379004cfbb6436b956c6ca75ee1d8f7.tar.gz
upstream-02b0c62f3379004cfbb6436b956c6ca75ee1d8f7.tar.bz2
upstream-02b0c62f3379004cfbb6436b956c6ca75ee1d8f7.zip
firewall3 - a C implementation of the current firewall scripts
SVN-Revision: 35643
Diffstat (limited to 'package/network/config/firewall3/files')
-rw-r--r--package/network/config/firewall3/files/firewall.hotplug8
-rwxr-xr-xpackage/network/config/firewall3/files/firewall.init17
2 files changed, 25 insertions, 0 deletions
diff --git a/package/network/config/firewall3/files/firewall.hotplug b/package/network/config/firewall3/files/firewall.hotplug
new file mode 100644
index 0000000000..a173b130bf
--- /dev/null
+++ b/package/network/config/firewall3/files/firewall.hotplug
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+fw3 -q network "$INTERFACE" >/dev/null || exit 0
+
+logger -t firewall "Restarting firewall due to ifup of $INTERFACE ($DEVICE)"
+fw3 -q restart
diff --git a/package/network/config/firewall3/files/firewall.init b/package/network/config/firewall3/files/firewall.init
new file mode 100755
index 0000000000..bddbadd880
--- /dev/null
+++ b/package/network/config/firewall3/files/firewall.init
@@ -0,0 +1,17 @@
+#!/bin/sh /etc/rc.common
+
+START=19
+
+boot() {
+ # Be silent on boot, firewall might be started by hotplug already,
+ # so don't complain in syslog.
+ fw3 -q start
+}
+
+start() {
+ fw3 start
+}
+
+stop() {
+ fw3 stop
+}